XINE(1)

NAME
xine - een vrije (free) videospeler

SAMENVATTING
xine [options] [MRL] ...

OMSCHRIJVING
Deze pagina in de handleiding beschrijft kort XINE Een audio/video speler.

XINE Speelt MPEG systeem (audio en video) streams, mpeg elementaire streams (b.v. .mp3 of .mpv bestanden), mpeg transport streams, ogg bestanden, avi-bestanden, asf-bestanden, quicktime-bestanden, (S)VCDs en DVDs en nog veel meer.

OPTIES
Het programma volgt de normale GNU command line syntax, met lange opties beginnend met twee dashes (`-'). Een korte opsomming van de opties vindt u hieronder. Voor een complete beschrijving, zie README en FAQ in /opt/local/share/doc/xine-ui of op de homepagina van XINE.

-h, --help
    Toont een korte opsomming van de opties en beschikbare output drivers (plugins).

--verbose[=level]
    Stelt in hoe uitgebreid de meldingen zijn.

-c, --config <file>
    Gebruik <Bestand> in plaats van de standaard config.

-a, --audio-channel <num>
    Selecteert de opgegeven audio kanaal. <num> is het audio kanaalnummer, standaard is dit 0.
    XINE 0.5 en nieuwer probeert zoveel mogelijk om alle geldige audio kanalen (ac3, mpeg audio, avi audio, ...) te verzamelen in de stream om ze dan aan "virtuele kanalen" met kanaalnummers te koppelen die starten met 0.

-V, --video-driver <drv>
    Selecteert de video driver. Gebruik xine --help voor een lijst met op uw systeem beschikbare video uitvoer plugins. Deze selectie wordt automatisch opgeslagen in uw ~/.xine/config zodat u maar een keer de video driver hoeft op te geven.

-A, --audio-driver <drv>
    Selecteert de audio driver. Gebruik xine --help voor een lijst met op uw systeem beschikbare audio uitvoer plugins. Deze selectie wordt automatisch opgeslagen in uw ~/.xine/config zodat u maar een keer de audio driver hoeft op te geven.

-u, --spu-channel <num>
    Selecteert het subpicture (ondertitel) kanaal. <num> is het subpicture kanaalnummer, standaard is geen (-1).

-p, --auto-play=[f][F][h][w][q][d][v]
    Start onmiddellijk na het starten met afspelen. Kan gevolgd worden door:
    `f' voor gebruik van volledig scherm,
    `F' voor gebruik van xinerama volledig scherm,
    `h' verbergt GUI (hoofd paneel, enz...),
    `w' verbergt videovenster,
    `q' voor afsluiten na het afspelen,
    Het is mogelijk om de afspeellijst van de DVD `d', of VCD `v' op te vragen. Er nu een meer algemenere oplossing, --auto-scan, daarvoor (zie hieronder).

-s, --auto-scan <plugin>
    Auto-scan afspeellijsten van genoemde invoer. Veel plugins kunnen een standaard afspeellijst inlezen, zodat ze alles kunnen afspelen. Dit werkt goed bij DVD´s of VCD´s, bijvoorbeeld. Deze optie opgeven heeft hetzelfde effect als het indrukken van de bijbehorende knop op het hoofdpaneel van XINE. Deze optie is met name handig in combinatie met automatisch afspelen. U kan XINE starten met xine --auto-play --auto-scan dvd om een hele DVD af te spelen zonder dat u extra knoppen hoeft in te drukken. Dit werkt ook met plugins die niet met XINE zijn meegeleverd, geef gewoon de naam van de knop op die de gewenste plugin aan het XINE paneel heeft toegevoegd!

-f, --fullscreen
    Schakelt XINE bij het starten om naar volledig scherm (alsof `f' wordt ingedrukt).

-F, --xineramafull
    Schakelt XINE bij het starten om naar xinerama fullscreen mode (alsof `F' wordt ingedrukt). Dat wil zeggen, dat het probeert om over meerdere schermen uit te breiden. De schermen die gebruikt kunnen worden moeten gedefinieerd worden in het config-bestand.

-g, --hide-gui
    Verbergt alle GUI vensters (behalve het video-venster) bij de start. Dit is hetzelfde alsof `G' in XINE wordt ingedrukt.

-H, --hide-video
    Verbergt het videovenster.

-L, --no-lirc
    Schakelt het gebruik van LIRC uit. Deze instelling is alleen beschikbaar als XINE is gecompileerd met ondersteuning voor LIRC.

--visual <visual-class-or-id>
    Probeert een specifieke X11 server te gebruiken voor XINE-vensters. De <visual-class-of-id> parameter is ofwel de naam van een X11 visual class (StaticGray, GrayScale, StaticColor, PseudoColor, TrueColor of DirectColor) of de hexadecimale waarde van een specifieke X11 visual. Als het wordt gebruikt met een visual class naam, dan probeert XINE een dergelijke visual te vinden met een diepte van 15 of van 16, 24, 32 of van 8 (in die volgorde). De standaard visual class die door XINE wordt gebruikt in afwezigheid van een --visual optie is TrueColor. Als geen bruikbare visual wordt gevonden, dan valt XINE terug op de standaard visual die wordt gebruikt in het basisvenster van de X11 server.

--install
    Bij het gebruik van een X11 visual met veranderbare kleuren (colormaps), installeert u een eigen kleurenmap in XINE. Met een eigen kleurenmap, kan XINE meer kleuren toewijzen zodat de video uitvoer er beter uit kan zien.

--keymap [=option]
    Toont de lijst met sneltoetsen. Opties zijn:
    `default' toont de standaard tabel met sneltoetsen,
    `lirc' toont concept van een ~/.lircrc config-bestand,
    `remapped' door de gebruiker gewijzigde tabel met sneltoetsen,
    `file:<file>' gebruikt bestand als tabel met sneltoetsen,
    Als geen optie wordt opgegeven, dan wordt `default' gebruikt.

-n, --network
    schakelt netwerk remote control server in. Om de netwerk remote control server te gebruiken, is een bestand met wachtwoord nodig. Als XINE deze niet kan vinden, dan wordt de server gestopt. De syntax van het wachtwoord-bestand volgt het (bekende) schema <identification>:<wachtwoord>. Omdat cryptography in bepaalde landen onderworpen is aan bepaalde wetten, is het wachtwoord niet versleutelt en wordt het ook niet versleutelt verstuurd, wees daarom voorzichtig met verbindingen op afstand. De volgende twee (optionele) algemene regels zijn ook beschikbaar (een tegelijk te gebruiken)
    ALL:ALLOW of ALL:DENY
    In het eerste geval is het alle cliënten toegestaan om alle beschikbare commando's uit te voeren, zonder enige beperking. In het tweede geval, is niemand toegestaan om enige commando's uit te voeren, behalve de opgegeven gebruikers (die het commando 'identify' gebruiken). Als een wachtwoord begint met een sterretje (asterisk) `*', dan is de gebruiker geblokkeerd. Als een wachtwoord item leeg is, dan wordt het complete item genegeerd. Hier is een voorbeeld van een klein ~/.xine/passwd bestand:
    ALL:DENY
    daniel:mypasswd
    foo:*
    Dit zal alleen 'daniel' toestaan om commando's uit te voeren, na een succesvolle identificatie-fase. De standaard poort van de server is 6789, dit nummer is compleet willekeurig. U kunt met de server een verbinding maken met een gewoon telnet commando:
    telnet localhost 6789
    Om de standaard poort te wijzigen, kan u (als root) uw /etc/services bewerken, en een regel zoals deze toevoegen:
    xinectl    7890/tcp        # xine control
    Dit zal de standaard poort wijzigen van 6789 naar 7890, en een "menselijke" service creëren genaamd xinectl. De server zelf heeft commando help/syntax:
    help [commando]
    Als geen commando wordt opgegeven, dan worden alle beschikbare commando's getoond. Als wel een commando wordt opgegeven, dan krijgt u een korte tekst over de functionaliteit van het commando te zien.
    syntax <command>
    Toont de syntax voor het commando.

-R, --root
    Gebruikt het basisvenster als videovenster.

-G, --geometry <WxH[+X+Y]>
    U kunt de afmetingen en de positie van het videovenster instellen door de X-geometrie op te geven (zie X(7)). X en Y verschuiving zijn optioneel.

-B, --borderless
    Verwijdert in venster-modus de randen van het videovenster.

-N, --animation <mrl>
    Specificeert een of meer MRL met een animatie om te tonen bij streams met alleen geluid.

-P, --playlist <filename>
    Gebruik bestand als afspeellijst. Bekende formaten zijn: asx, toxine, m3u, pls, sfv en gewone tekstbestanden.

-l, --loop [=mode]
    Stelt de mode in waarmee de afspeellijst wordt herhaalt. Als geen mode wordt opgegeven, dan wordt de methode loop gebruikt. Mogelijke modes zijn:
    loop: Herhaalt hele afspeellijst.
    repeat: herhaalt huidige item uit afspeellijst.
    shuffle: selecteert willekeurig uit de afspeellijst een item die nog niet is afgespeeld.
    shuffle+: hetzelfde als shuffle, maar herhaalt oneindig de afspeellijst.

--skin-server-url <url>
    Definieert de url van de skin server.

--enqueue <mrl>...
    Plaatst een of meer MRL in een lopende sessie (sessie 0).
    Als u een andere sessie wilt specificeren, gebruik dan de optie -S session=x.

-S, --session <option1,option2,...>
    Sessie management. Alle opties kunnen meer dan een keer worden gebruikt, behalve session.
    De opties zijn:
    session=n specificeert het sessie <n> nummer,
    mrl=m voegt MRL <m> toe aan de afspeellijst,
    audio=c selecteert het audiokanaal (<c>: next of prev),
    spu=c selecteert het spu-kanaal (<c>: next of prev),
    volume=v stelt het audio volume in (<v>: 0 tot 100),
    amp=v stelt de audio versterking van de instance in (<v>: 0 tot 200),
    loop=m Stelt de herhaal-mode in (<m>: none loop repeat shuffle of shuffle+),
    get_speed geeft de huidige status voor de snelheid . De waarde die terug worden gegeven kan zijn:
        - 1: error
        - 2: stop
        - 3: play
        - 4: pause
        - 5: slow4
        - 6: slow2
        - 7: fast2
        - 8: fast4
    get_time[=p|pos] geeft de huidige afspeel-positie weer in seconden, of in de positie van de stream (0..65535).
    (playlist|pl)=p
      <p> kan zijn:
        clear: maakt de afspeellijst leeg,
        first: speelt het eerste item in de afspeellijst,
        prev: speelt het vorige item in de afspeellijst,
        next: speelt het volgende item in de afspeellijst,
        last: speelt het laatste item in de afspeellijst,
        load:s: laad het bestand met de afspeellijst <s>,
        stop: stopt met afspelen aan het eind van het huidige item in de afspeellijst,
        cont: gaat verder met afspelen aan het eind van het huidige item in de afspeellijst.
    Er zijn ook enige opties die voor zich spreken.
        play, slow2, slow4, pause, fast2, fast4, stop, quit, fullscreen, eject.

-Z  Niet automatisch afspelen starten bij het opstarten, beïnvloedt alleen auto-start als de smart mode wordt gebruikt.

-D, --deinterlace [post[:..][;]]
    Deinterlace video uitvoer. U kunt de configuratie-instellingen overschrijven om de resulterende afbeelding te deinterlacen. Zie --post voor de syntax.

-r, --aspect-ratio <mode>
    stelt de beeldverhouding in van de video-uitvoer. De <mode> kan zijn: auto, square, 4:3, anamorphic, dvb.

--broadcast-port <port>
    Stelt de poort in van XINE broadcaster (master side), de slave wordt gestart met 'xine slave://address:poort'

--no-logo
    Toont het logo niet.

-E, --no-reload
    Laadt de oude afspeellijst niet opnieuw. De afspeellijst wordt opgeslagen als u XINE afsluit, vervolgens wordt het weer geladen bij de volgende keer dat u XINE start. Deze functionaliteit kan u in het instellingenvenster uitschakelen.

--post <plugin>[:parameter=value][,...][;...]
    Laad een of meer plugin(s) voor nabewerking. Parameters worden door komma's gescheiden. U kunt deze optie meer dan een keer gebruiken om twee of meer video nabewerking-plugins aan elkaar te koppelen. U kunt twee of meer plugins opgeven, die van elkaar worden gescheiden door een puntkomma ';'.

--disable-post
    Schakelt de nabewerking-plugin(s) niet in. Op deze manier, kunt u nog een plugin opgeven voor gebruik, door de optie --post commandoregel op te geven, terwijl u deze effecten niet inschakelt.

--no-splash
    Toont het opstartscherm niet.

--stdctl
    Schakelt het besturen van XINE via STDIN in.

-T, --tvout<backend>
    Schakelt het gebruik van TVout in. <backend> kan zijn: nvtv, ati.

--list-plugins[=type]
    Toont een lijst met beschikbare plugins. Optioneel kan <type> zijn: audio_out, video_out, demux, input, sub, post, audio_decoder, video_decoder

--bug-report[=mrl]
    Schakelt de bug report mode in. Dit zal veel meldingen geven, het zal alle meldingen verzamelen en deze naar een bestand schrijven genaamd BUG-REPORT.TXT. Als een <MRL> wordt opgegeven, dan zal XINE die MRL afspelen en vervolgens afsluiten (zoals -pq dat doet).

Als u geen enkele MRL opgeeft, dan zal u een bestand moeten selecteren door bestanden te verslepen. Van het verslepen van bestanden uit GNOME Midnight Commander (gmc), Nautilus of Konqueror is bekend dat het werkt.

MRL (media resource locator)
MRLs zijn vergelijkbaar met URL's in uw web browser. Ze beschrijven de media die uitgelezen moeten worden. xine(5) beschrijft ze meer gedetailleerd. XINE gebruikt de syntax als volgt:

<mrl>::<subtitlefile>
    Dit is de manier waarop xine-ui specifiek definieert welk ondertitel-bestand moet worden gebruikt. Het bestandsnaam wordt door het frontend gebruikt, die het recht heeft om deze te wijzigen, op te slaan in een afspeellijst, enz...

STREAM OPTIES
Na een # kunt u meerdere stream parameters opgeven:

novideo
    Video zal worden genegeerd.

noaudio
    Audio zal worden genegeerd.

nospu
    Ondertitels zullen worden genegeerd.

demux:<demux name>
    Specificeert welke demux plugin moet worden gebruikt.

volume:<level>
    Stelt het audio volume in.

compression:<level>
    Stelt de audio dynamic range compression in.

<config entry>:<config value>
    Wijst een nieuwe waarde toe aan een configuratie-item.

wijzigt een configuratie-instelling 'onmiddellijk':
    U kunt een configuratie-instelling op elk moment wijzigen, daarvoor gebruikt u de:/ MRL stijl. De syntax is:
        cfg:/<config entry> : <config value>
    In tegenstelling tot de stream config optie, kunt u alles wijzigen voordat de stream wordt afgespeeld.

CONTROL TOETSEN
Veel functionaliteit kunt u controleren via sneltoetsen. `M-' is de Meta-key (`Alt' toets op het PC toetsenbord), `C-' is de Control `CTRL' toets, andere speciale toetsen worden omgeven door de `<' en de `>' karakters, b.v. de `HOME' toets wordt getoond als <home>. De standaard sneltoetsen zijn:

<Return>
    Start afspelen.

<space>
    Pause tijdens het afspelen.

S   Stop afspelen.

t   Een screenshot van het beeldscherm maken.

e   Het huidige medium uitwerpen.

<Next>
    Volgende MRL selecteren en afspelen.

<Prior>
    Vorige MRL selecteren en afspelen.

l   Herhalen aan/uit.

C-s Afspeellijst scannen voor info over stream.

C-a Lopende weergave aan lijst toevoegen.

C-e Mediamark bewerken.

<Left>
    Ga 60 seconde naar achteren in huidige stream.

<Right>
    Ga 60 seconde naar voren in huidige stream.

M-<Left>
    Ga 30 seconde naar achteren in huidige stream.

M-<Right>
    Ga 30 seconde naar voren in huidige stream.

C-<Left>
    Ga 15 seconde naar achteren in huidige stream.

C-<Right>
    Ga 15 seconde naar voren in huidige stream.

M3-<Left>
    Ga 7 seconde naar achteren in huidige stream.

M3-<Right>
    Ga 7 seconde naar voren in huidige stream.

C-0 Ga naar het begin van huidige stream

C-1 Ga naar 1/10 van huidige stream.

C-2 Ga naar 2/10 van huidige stream.

C-3 Ga naar 3/10 van huidige stream.

C-4 Ga naar 4/10 van huidige stream.

C-5 Ga naar 5/10 van huidige stream.

C-6 Ga naar 6/10 van huidige stream.

C-7 Ga naar 7/10 van huidige stream.

C-8 Ga naar 8/10 van huidige stream.

C-9 Ga naar 9/10 van huidige stream.

<Up>
    Speelt sneller af.

<Down>
    Speelt langzamer af.

M-<Down>
    Terug naar normale snelheid.

V   Verhoogt audio volume.

v   Verlaagt audio volume.

C-V Verhoogt versterkingsniveau.

C-v Verlaagt versterkingsniveau.

C-A Zet versterking terug naar normaal niveau.

C-m Schakelt de audio aan en uit.

<plus>
    Selecteert het volgende audio kanaal.

<minus>
    Selecteert het vorige audio kanaal.

<period>
    Selecteert het volgende ondertitel kanaal.

<comma>
    Selecteert het vorige ondertitel kanaal.

i   Schakelt interlaced aan en uit.

a   Wijzigt de beeldverhouding.

<less>
    Verkleint de beeldgrootte met een factor 1.2

<greater>
    Vergroot de beeldgrootte met een factor 1.2

M-1 Stelt de beeldgrootte in op 50%

M-2 Stelt de beeldgrootte in op 100%

M-3 Stelt de beeldgrootte in op 200%

z   Inzoomen.

Z   Uitzoomen.

C-z Horizontaal inzoomen.

C-Z Horizontaal uitzoomen.

M-z Verticaal inzoomen.

M-Z Verticaal uitzoomen.

C-M-z
    Volledig beeld.

s   Venster aan beeldgrootte aanpassen.

f   Volledig scherm aan/uit.

F   Volledig scherm over meerdere beeldschermen aan/uit.

b   Instellen van vensterrand.

<Escape>
    Ga naar Media Menu.

<F1>
    Ga naar Titel Menu.

<F2>
    Ga naar Start Menu.

<F3>
    Ga naar Ondertitel Menu.

<F4>
    Ga naar Audio Menu.

<F5>
    Ga naar Hoek Menu.

<F6>
    Ga naar hoofdstuk-keuze.

<Keypad Up>
    Navigeer omhoog.

<Keypad Down>
    Navigeer omlaag.

<Keypad Left>
    Navigeer naar links.

<Keypad Right>
    Navigeer naar rechts.

<Keypad Enter>
    Keuze bevestigen.

<Keypad Next>
    Naar volgende hoofdstuk.

<Keypad Prior>
    Naar vorige hoofdstuk.

<Keypad Home>
    Naar volgende hoek.

<Keypad End>
    Naar vorige hoek.

M-h Zichtbaarheid van helpvenster instellen.

M-P Zichtbaarheid van video-nabewerking-venster instellen.

C-M-P
    Gebruik van nabewerking Instellen.

h   Zichtbaarheid van videovenster.

g   Zichtbaarheid van bedienpaneel

M-c Zichtbaarheid van instellingsvenster.

M-m Zichtbaarheid van mediabrowser.

M-p Zichtbaarheid van afspeellijsten.

M-s Zichtbaarheid van venster-instellingen.

M-e Zichtbaarheid van navigatievenster.

M-t Zichtbaarheid van analoge-TV-instellingen.

M-l Zichtbaarheid van log-venster.

M-i Zichtbaarheid van venster voor informatie over stream.

C-i Toont informatie over de stream met gebruik van OSD.

M-k Opent venster voor bewerken van sneltoetsen.

C-o Open bestandsbeheerder.

C-S Selecteert een ondertitel-bestand.

C-d Download een skin van de skin server.

C-t Toont Media-adres/naam tonen.

<Insert>
    Muisweergave aan/uit.

0   Het cijfer 0

1   Het cijfer 1

2   Het cijfer 2

3   Het cijfer 3

4   Het cijfer 4

5   Het cijfer 5

6   Het cijfer 6

7   Het cijfer 7

8   Het cijfer 8

9   Het cijfer 9

M3-<plus>
    Voegt 10 toe aan het ingevoerde getal.

<slash>
    Ga naar een percentage van de huidige stream Zie de sectie over "Numerieke Invoer" hieronder.

M-<Up>
    Ga een percentage naar voren in de huidige stream.

M3-<Up>
    Ga een percentage naar achteren in de huidige stream.

m   Wijzig de synchronisatie tussen de audio en de video (vertraag de video).

n   Wijzig de synchronisatie tussen de audio en de video (vertraag de audio).

<Home>
    Zet de synchronisatie tussen audio en video terug.

M   Wijzig de synchronisatie tussen de video en de ondertitels (vertraag de video).

N   Wijzig de synchronisatie tussen de video en de ondertitels (vertraag de ondertitels).

C-M-o
    Schakel tussen de TV modes (op DXR3).

d   Schakel de monitor naar DPMS standby mode.

C-l Stop afspelen na de spelende stream.

q   Sluit het programma.

  Third party plugins
De volgende sneltoetsen worden gebruikt door third party plugins, meestal voor navigatie op de DVD:

<KeyPad Up>
    Omhoog.

<KeyPad Down>
    Omlaag.

<KeyPad Left>
    Naar links.

<KeyPad Right>
    Naar rechts.

<KeyPad Prior>
    Vorige.

<KeyPad Next>
    Volgende.

<KeyPad End>
    Vorige hoek.

<KeyPad Home>
    Volgende hoek.

<KeyPad Enter>
    Selecteren.

  nauwkeurigheid van synchronisatie verbeteren
Bij sommige streams zijn de tijden niet nauwkeurig vermeld, zodat de synchronisatie mislukt. Dit kan u proberen te verbeteren met de volgende twee toetsen:

n   Druk dit in als de video achter loopt op de audio.

m   Druk dit in als de video voor loopt op de audio.

<home>
    Druk dit in om de offset tussen de video en de audio op 0 te zetten, zodat de tijdstippen in de stream ongewijzigd zijn.

  synchronisatie van ondertitels
U kan de synchronisatie van de ondertitels aanpassen met de volgende toetsen:

M / N

  Numerieke Invoer
U kan een numeriek getal als parameter opgeven dat aan een commando wordt toegevoegd door een getal in te typen met vervolgens een functie-toets. Als u bijvoorbeeld "99/" invoert, dat is twee keer de 9 toets met vervolgens de slash toets "/", dan zou u naar de positie van 99% van de geselecteerde stream moeten gaan.

Bij de nieuwe VCD/SVCD plugin kunt u ook numerieke invoer geven. Door een getal in te voeren gevolgd door de "Select event" (standaard de enter-toets), kan u naar een specifiek "hoofdstuk" (track of entry) of selectie nummer gaan. Omdat dit een relatief nieuwe functionaliteit is, zal misschien over enige tijd meer plugins gebruik gaan maken van numerieke invoer.

Andere commando's die numerieke invoer als invoer accepteren zijn volgende/vorige MRL (MRL_NEXT, MRL_PRIOR), volgende/vorige ondertitel (SPU_NEXT, SPU_PRIOR), en volgende/vorig audio kanaal (AUDIOCHAN_NEXT, AUDIOCHAN_PRIOR). Met een numeriek voorvoegsel, lijkt het alsof u dat commando dat aantal keren heeft ingevoerd. Hier is dat argument 0, omdat het anders betekeningsloos zou zijn, word het in plaats daarvan geïnterpreteerd als 1.

We moeten toegeven dat het gebruik hier van numerieke invoer beperkt zinvol is. Misschien dat in de loop van de tijd zinvollere commando's zoals een specifieke of absolute MRL, ondertitel of audio kanaal nummer worden geïmplementeerd.

BESTANDEN

~/.xine/config
    Hoofd config-bestand.

~/.xine/keymap
    Bestand met sneltoetsen voor xine-ui.

~/.xine/passwd
    Bestand met wachtwoorden voor xine-ui.

~/.xine/xinerc
    Extra argumenten voor de commandoregel.
    Elke regel specificeert een extra argument voor de commandoregel (een argument per regel):
    --geometry 720x576+0+0
    --network
    -s DVD
    -p

ZIE OOK
xine-remote(1)
xine(5) voor details over de MRL syntax.

U kan de volledige documentatie van de programma's vinden op de homepagina van XINE: http://www.xine-project.org/ (http://www.xine-project.org/)

AUTEUR
Deze handleiding is door Ronald Stroethoff <stroet43@zonnet.nl> voor het XINE-project vertaald. Het Engelse origineel is door Siggi Langauf <siggi@debian.org> voor het XINE-project geschreven. Veel toevoegingen komen van Guenter Bartsch <guenter@users.sourceforge.net>, Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>, Rocky Bernstein <rocky@panix.com>, and Philipp Hahn <pmhahn@users.sourceforge.net>.